Skip to main content

Agent Notes API

Per-user notes on listings. One note per user per listing.


Add / Update Note

PUT /api/v1/crs/listings/sales-intelligence/{listingId}/notes
{
"userId": "agent_123",
"note": "Swimming pool is very huge, great for kids. Mention the private chef."
}

If a note already exists for this user + listing, it's updated (not duplicated).


Get All Notes

GET /api/v1/crs/listings/sales-intelligence/{listingId}/notes

Response:

[
{
"id": 1,
"listingId": "lst_abc",
"userId": "agent_123",
"note": "Swimming pool is very huge",
"createdAt": "2026-04-01T10:00:00Z",
"updatedAt": "2026-04-01T10:00:00Z"
},
{
"id": 2,
"listingId": "lst_abc",
"userId": "agent_456",
"note": "Clients love the game room",
"updatedAt": "2026-04-02T14:00:00Z"
}
]

Delete Note

DELETE /api/v1/crs/listings/sales-intelligence/{listingId}/notes?userId=agent_123